Author Topic: Failed to create profilerdb database error installing NSM2009.1r1 Linux ES3  (Read 3688 times)

oldmacdonald

  • Newbie
  • *
  • Posts: 9
  • Karma: +0/-0
    • View Profile
Hi,

I'm trying to install NSM 2009.1r1 on Linux ES3 this installation seems to go through fine until the point at which the install tries to create postgres sql it then fails here. Checking the install log in /tmp the error below is displayed i'm no Linux expert but was hoping that someone may have seen or can make sense of this error. There is more of this error if so required as I only pasted in what I thought was relevant.

Thanks in advance.

WARNING: enabling "trust" authentication for local connections
You can change this by editing pg_hba.conf or using the -A option the
next time you run initdb.

Success. You can now start the database server using:

    /usr/bin/postmaster -D /var/netscreen/DevSvr/pgsql/data
or
    /usr/bin/pg_ctl -D /var/netscreen/DevSvr/pgsql/data -l logfile start

20091209040659:    Configuring database
20091209040700:    Starting database
postmaster starting
20091209040701:    Wait for Postgres to start before calling Status
pg_ctl: postmaster is running (PID: 3972)
/usr/bin/postgres
20091209040701:    PostgreSQL Status: STARTED
/usr/bin/psql: relocation error: /usr/lib/libpq.so.4: undefined symbol: krb5_cc_get_principal
20091209040726:    Creating Profiler database profilerDb
/usr/bin/createdb: relocation error: /usr/lib/libpq.so.4: undefined symbol: krb5_cc_get_principal
20091209040726:    Stopping postgresql server having lock /tmp/.s.PGSQL.5432.lock and data dir /var/netscreen/DevSvr/pgsql/data
waiting for postmaster to shut down.... done
postmaster stopped
20091209040733:     START dotpad()...
20091209040733:     END dotpad()...
20091209040733:    ERROR: Failed to create profilerDb database
20091209040733:     START earlyexit()...
20091209040733:      START cleanup()...
20091209040733:       START dotpad()...
20091209040733:       END dotpad()...
20091209040733:       START saferm()...
20091209040733:       arg: -rf
20091209040733:       arg: /tmp/netmgtstaging.20091209024601
20091209040734:      Successfully removed staging dir
20091209040734:      END cleanup()...

oldmacdonald

  • Newbie
  • *
  • Posts: 9
  • Karma: +0/-0
    • View Profile
Well think this is sorted - looks the version of postgresql that ships with Linux ES3 is incompatible with NSM2009.1. Thanks forum!!

SSHSSH

  • Newbie
  • *
  • Posts: 2
  • Karma: +0/-0
    • View Profile
you shoulkd run the system update utility before installing the NSM
have you done that ?

oldmacdonald

  • Newbie
  • *
  • Posts: 9
  • Karma: +0/-0
    • View Profile
Hi SSH,

Yes i did install the _systemupdate-linux.zip but it appears that there is an incompatibility between 2009.1 and Linux ES3 in that the files contained with the 2009.1_systemupdate-linux.zip only contain rpms / directories for ES4 and ES5.

As I only have Linus ES3 available iv'e installed the 2007.3_systemupdate-linux.zip and the nsm2007.3r4_servers_linux_x86.zip and the install went through swimmingly .... now i'll just run the upgrade to NSM 2009.1 and this should hopefully be resolved. Thanks.

hhm@kmd.dk

  • Newbie
  • *
  • Posts: 4
  • Karma: +0/-0
    • View Profile
Hi
Off course it's always funny to get something working with existing software  :-), but I hope you have read the installer guide.

Minimum system requirements:

Solaris 10 operating system, or
RHEL 32-bit ES/AS 4.0-Update 7 or 32-bit ES/AS 5.0-Update 3 (Minimal
and Full Install)

Regards
Hans